Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class BasicTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.BasicTypeImpl<X>

All Implemented Interfaces:
  Serializable, BasicType<X>, Type<X>

    public class BasicTypeImpl<X>

extends Object
implements BasicType<X>, Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Constructor Summary
`BasicTypeImpl(Class<X> clazz, Type.PersistenceType persistenceType)`

Method Summary
`Class<X>` | `getJavaType()`
`Type.PersistenceType` | `getPersistenceType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTypeImpl

    public BasicTypeImpl(Class<X> clazz,
                         Type.PersistenceType persistenceType)

Method Detail

### getPersistenceType

    public Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `Type<X>`

### getJavaType

    public Class<X> getJavaType()

  Specified by:
    `getJavaType` in interface `Type<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.